package org.ntlab.trace;

public class MethodInvocation extends Statement {
	private MethodExecution calledMethodExecution;
	protected String thisClassName;
	protected String thisObjId;
	
	public MethodInvocation(MethodExecution methodExecution, String thisClassName, String thisObjId,
			String lineNo, String threadNo) {
		super(lineNo, threadNo);
		this.calledMethodExecution = methodExecution;
		this.thisClassName = thisClassName;
		this.thisObjId = thisObjId;
	}

	public MethodExecution getCalledMethodExecution() {
		return calledMethodExecution;
	}

	public String getThisClassName() {
		return thisClassName;
	}

	public String getThisObjId() {
		return thisObjId;
	}
}
